Home‎ > ‎Hot Topics‎ > ‎

Minimums Requirements to Operate School Software

posted Feb 3, 2013, 8:46 PM by Mike Tuntland
The Technology Department has been receiving a number of requests related to being unable to access online resources from home including Gmail, Google Docs, and PowerSchool.  The majority of these issues seem to be related to outdated browsers. Please make sure that you have downloaded the latest version of internet browser available on your computer in order to take full advantage of the online experiences.  Also ensure Java and FlashPlayer are up to date.  



To view information on minimum browser requirements for each system, please choose the system below. 
PowerSchool - * Mac OS X: Safari or Firefox; Mac OS 9: Mozilla 1.2.1, Netscape 4.8; Windows: Internet Explorer 6 or Firefox 

General Download Tabs

Microsoft Products - Click here for support pages



* Please note that these links are not guaranteed to be safe...  Refer to your support information and backup files prior to any update.  
Comments